﻿Module SlotReader

    Friend Const FifoLen As Int32 = 10000
    Friend fifo1 As FIFO = New FIFO(FifoLen)

    Friend zero As Single = 500

    Friend InputSlot As Int32 = 1

    Friend Sub SlotReaderStart()
        m_Timer.Interval = 2
        m_Timer.Start()
    End Sub

    Friend Sub SlotReaderStop()
        m_Timer.Stop()
    End Sub

    ' ====================================================================================================
    '  MilliTimer
    ' ====================================================================================================
    Private WithEvents m_Timer As AccurateTimer = New AccurateTimer
    Private v1, v2, oldv1, oldv2 As Single

    Private Sub m_Timer_TimerTick(ByVal TotalMillisec As Double) Handles m_Timer.Tick
        Dim v As Single = Slots.ReadSlot_NoNan(InputSlot) - zero
        zero += v / 100.0F
        fifo1.AddElement(64 * v)
    End Sub

End Module
